Bug 998548 - Ever growing number of entries in sound setttings with bluetooth headset
Ever growing number of entries in sound setttings with bluetooth headset
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
21
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-19 09:52 EDT by moabi2000
Modified: 2015-12-02 11:05 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-01 21:56:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot showing a sound settings shortly after connecting a bluetooth headset (44.14 KB, image/png)
2013-08-19 09:52 EDT, moabi2000
no flags Details
duplicate-device-entries-continue-to-appear-when-trying-to-switch-to-A2DP-mode-in-gnome-control-center-sound.ogv (2.03 MB, application/octet-stream)
2013-09-27 09:26 EDT, Mike FABIAN
no flags Details
bluetooth-headset-microphone-cannot-be-used.png (68.50 KB, image/png)
2013-11-05 06:36 EST, Mike FABIAN
no flags Details
duplicate-entries-for-sbh20-headset-microphone-does-not-work.png (38.31 KB, image/png)
2015-02-18 00:29 EST, Mike FABIAN
no flags Details

  None (edit)
Description moabi2000 2013-08-19 09:52:11 EDT
Created attachment 788075 [details]
Screenshot showing a sound settings shortly after connecting a bluetooth headset

Description of problem:

If I connect my bluetooth headset, it appears as an output option in sound settings. However after a short time, it appears twice. A bit later it is listed three times, after a couple of hours it can be listed 10 or more times. See screenshot. All the entries point to the same physical hardware, so they all work.

Version-Release number of selected component (if applicable):


How reproducible:
Connect a bluetooth headset. Open Sound in System Settings. Wait.


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Mike FABIAN 2013-09-27 09:24:54 EDT
I see the same problem.

Fedora 19, control-center-3.8.5-1.fc19.x86_64.

I don’t even need to wait (although waiting also seems to produce extra 
entries for me).

I just try to switch the bluetooth headset from “telephony mode” to “A2DP” mode
or vice versa. This triggers adding more lines for the same device.

And I cannot really choose whether I want to use “A2DP” mode (good sound quality)
or “telephony mode” (bad sound quality but microphone available). It seems to
switch “randomly”, I cannot understand how to select one of these modes at all.

See attached video.
Comment 2 Mike FABIAN 2013-09-27 09:26:20 EDT
Created attachment 803965 [details]
duplicate-device-entries-continue-to-appear-when-trying-to-switch-to-A2DP-mode-in-gnome-control-center-sound.ogv

Video showing how the problem can be triggered by trying to switch to A2DP mode.
Comment 3 Mike FABIAN 2013-09-27 09:28:50 EDT
The problem seems to be independent of the bluetooth device used.
The original reporter’s screen shot shows “Sennheiser MM450”,
I tried with a “Nokia BH-214” and a “SW50”, both devices trigger 
the same problem.
Comment 4 Mike FABIAN 2013-09-27 09:30:03 EDT
This worked fine in f18.
Comment 5 Mike FABIAN 2013-11-05 06:36:36 EST
Created attachment 819677 [details]
bluetooth-headset-microphone-cannot-be-used.png

Now on Fedora 20 Beta RC2, the duplicate entries do not appear
anymore, *BUT* I cannot use the microphone anymore.

See attached screenshots.

The “Output” tab of the sound settings shows
[High Fidelity Playback (A2DP Sink)] only in the combobox
to select the profile for the Nokia BH-214 headset, clicking
that combobox achieves nothing, no [telephony] option is shown.
The “Input” tab shows only the internal microphone of the laptop,
not the microphone of the headset.
Comment 6 Mike FABIAN 2013-11-05 06:37:38 EST
Everything worked fine in f18, both in f19 and f20 it is broken
in different ways.
Comment 7 Jonathan 2014-10-21 04:50:43 EDT
Same thing. 
Fedora 20. 
Sony SBH20 bluetooth headset only presents as an output device (A2DP). Microphone is not working.
Comment 8 Fedora End Of Life 2015-01-09 14:30:59 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-02-17 11:50:01 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 10 Jonathan 2015-02-17 11:56:44 EST
Yes, this is still present in F21.

I'm not allowed to reopen or change version.
Someone else please?
Comment 11 Mike FABIAN 2015-02-18 00:29:15 EST
Created attachment 993001 [details]
duplicate-entries-for-sbh20-headset-microphone-does-not-work.png

I can also still reproduce this in Fedora 21.
Comment 12 Fedora End Of Life 2015-11-04 08:33:33 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-12-01 21:56:11 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.